'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var React = require('react');

var classnames = require('classnames');

var utilsCommons = require('@highlight-ui/utils-commons');

var typography = require('@highlight-ui/typography');

var button = require('@highlight-ui/button');

var icon = require('@highlight-ui/icon');

function _interopDefaultLegacy(e) {
  return e && typeof e === 'object' && 'default' in e ? e : {
    'default': e
  };
}

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */


var __assign = function () {
  __assign = Object.assign || function __assign(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var styles = {
  "emptyStateContainer": "EmptyState-module__1_2p1qTM__v4-0-4",
  "emptyStateIcon": "EmptyState-module__1RKWnYeZ__v4-0-4",
  "emptyStateTitle": "EmptyState-module__2c2KO4PH__v4-0-4",
  "emptyStateDescription": "EmptyState-module__c-GN5pKi__v4-0-4",
  "iconEmptyStateDescription": "EmptyState-module__2NrojmK7__v4-0-4",
  "retryButton": "EmptyState-module__3v8LDjX2__v4-0-4",
  "imageEmptyStateDescription": "EmptyState-module__1KgvV5hb__v4-0-4",
  "emptyStateCustomImage": "EmptyState-module__1qHLXj52__v4-0-4"
};

function EmptyStateWithRef(_a, ref) {
  var _b;

  var className = _a.className,
      _c = _a.description,
      description = _c === void 0 ? 'And this is additional text under the empty state' : _c,
      _d = _a.iconColor,
      iconColor = _d === void 0 ? 'icon-default' : _d,
      _e = _a.iconFamily,
      iconFamily = _e === void 0 ? 'solid' : _e,
      _f = _a.iconName,
      iconName = _f === void 0 ? 'exclamation-square' : _f,
      _g = _a.iconSize,
      iconSize = _g === void 0 ? 26 : _g,
      metadata = _a.metadata,
      onRetryButtonClick = _a.onRetryButtonClick,
      _h = _a.retryButtonText,
      retryButtonText = _h === void 0 ? 'Retry' : _h,
      _j = _a.retryButtonVariant,
      retryButtonVariant = _j === void 0 ? 'primary' : _j,
      _k = _a.showRetryButton,
      showRetryButton = _k === void 0 ? false : _k,
      _l = _a.title,
      title = _l === void 0 ? 'This is an empty state' : _l,
      _m = _a.customImage,
      customImage = _m === void 0 ? '' : _m,
      _o = _a.customImageClassName,
      customImageClassName = _o === void 0 ? '' : _o;
  var containerClassName = classnames__default["default"](styles.emptyStateContainer, className);
  return React__default["default"].createElement("div", __assign({}, utilsCommons.parseMetadata(metadata), {
    className: containerClassName,
    ref: ref
  }), customImage ? React__default["default"].createElement("img", __assign({
    src: customImage,
    className: classnames__default["default"](styles.emptyStateCustomImage, customImageClassName),
    alt: "empty state"
  }, utilsCommons.parseMetadata(utilsCommons.suffixMetadata(metadata, 'custom-image')))) : React__default["default"].createElement(icon.Icon, __assign({
    className: styles.emptyStateIcon,
    name: iconName,
    color: iconColor,
    size: iconSize,
    type: iconFamily
  }, utilsCommons.parseMetadata(utilsCommons.suffixMetadata(metadata, 'icon')))), React__default["default"].createElement(typography.Typography, {
    variant: customImage ? 'heading-2' : 'subtitle-2',
    color: "text-default",
    component: "div",
    className: styles.emptyStateTitle
  }, title), React__default["default"].createElement(typography.Typography, {
    variant: "body-1",
    component: "div",
    className: classnames__default["default"](styles.emptyStateDescription, (_b = {}, _b[styles.iconEmptyStateDescription] = customImage === '', _b[styles.imageEmptyStateDescription] = customImage !== '', _b))
  }, description), showRetryButton && React__default["default"].createElement(button.Button, {
    className: styles.retryButton,
    variant: retryButtonVariant,
    onClick: onRetryButtonClick,
    metadata: utilsCommons.suffixMetadata(metadata, 'retry-btn')
  }, retryButtonText));
}

EmptyStateWithRef.displayName = 'EmptyState';
var EmptyState = React__default["default"].forwardRef(EmptyStateWithRef);
var EmptyState$1 = React__default["default"].memo(EmptyState);
exports.EmptyState = EmptyState$1;
//# sourceMappingURL=index.js.map
