import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import { Typography } from '@highlight-ui/typography';
import { Button } from '@highlight-ui/button';
import { Icon } from '@highlight-ui/icon';
import styles from './EmptyState.module.scss.js';

function EmptyStateWithRef(_a, ref) {
  var _b;

  var className = _a.className,
      _c = _a.description,
      description = _c === void 0 ? 'And this is additional text under the empty state' : _c,
      _d = _a.iconColor,
      iconColor = _d === void 0 ? 'icon-default' : _d,
      _e = _a.iconFamily,
      iconFamily = _e === void 0 ? 'solid' : _e,
      _f = _a.iconName,
      iconName = _f === void 0 ? 'exclamation-square' : _f,
      _g = _a.iconSize,
      iconSize = _g === void 0 ? 26 : _g,
      metadata = _a.metadata,
      onRetryButtonClick = _a.onRetryButtonClick,
      _h = _a.retryButtonText,
      retryButtonText = _h === void 0 ? 'Retry' : _h,
      _j = _a.retryButtonVariant,
      retryButtonVariant = _j === void 0 ? 'primary' : _j,
      _k = _a.showRetryButton,
      showRetryButton = _k === void 0 ? false : _k,
      _l = _a.title,
      title = _l === void 0 ? 'This is an empty state' : _l,
      _m = _a.customImage,
      customImage = _m === void 0 ? '' : _m,
      _o = _a.customImageClassName,
      customImageClassName = _o === void 0 ? '' : _o;
  var containerClassName = classnames(styles.emptyStateContainer, className);
  return /*#__PURE__*/React.createElement("div", __assign({}, parseMetadata(metadata), {
    className: containerClassName,
    ref: ref
  }), customImage ? /*#__PURE__*/React.createElement("img", __assign({
    src: customImage,
    className: classnames(styles.emptyStateCustomImage, customImageClassName),
    alt: "empty state"
  }, parseMetadata(suffixMetadata(metadata, 'custom-image')))) : /*#__PURE__*/React.createElement(Icon, __assign({
    className: styles.emptyStateIcon,
    name: iconName,
    color: iconColor,
    size: iconSize,
    type: iconFamily
  }, parseMetadata(suffixMetadata(metadata, 'icon')))), /*#__PURE__*/React.createElement(Typography, {
    variant: customImage ? 'heading-2' : 'subtitle-2',
    color: "text-default",
    component: "div",
    className: styles.emptyStateTitle
  }, title), /*#__PURE__*/React.createElement(Typography, {
    variant: "body-1",
    component: "div",
    className: classnames(styles.emptyStateDescription, (_b = {}, _b[styles.iconEmptyStateDescription] = customImage === '', _b[styles.imageEmptyStateDescription] = customImage !== '', _b))
  }, description), showRetryButton && /*#__PURE__*/React.createElement(Button, {
    className: styles.retryButton,
    variant: retryButtonVariant,
    onClick: onRetryButtonClick,
    metadata: suffixMetadata(metadata, 'retry-btn')
  }, retryButtonText));
}

EmptyStateWithRef.displayName = 'EmptyState';
var EmptyState = /*#__PURE__*/React.forwardRef(EmptyStateWithRef);
var EmptyState$1 = /*#__PURE__*/React.memo(EmptyState);
export { EmptyState$1 as default };
//# sourceMappingURL=EmptyState.js.map
